Changeset 92465 for trunk/dports/gis


Ignore:
Timestamp:
Apr 29, 2012, 11:45:54 AM (7 years ago)
Author:
vince@…
Message:

Add a new variant for PostGIS 2.0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gis/qgis/Portfile

    r91416 r92465  
    113113}
    114114
    115 variant postgis                 description "Build postgis support" {
     115variant postgis                 description "Build postgis 1.x support" {
    116116       
    117117        depends_lib-append              port:postgis
     
    119119        if {![variant_isset postgresql90] &&
    120120                ![variant_isset postgresql91] } {
    121                 return -code error "Please select a postgresql variant"
     121                return -code error "Please also select a postgresql variant"
     122        }
     123}
     124
     125variant postgis2                        description "Build postgis 2.x support" {
     126       
     127        depends_lib-append              port:postgis2
     128       
     129        if {![variant_isset postgresql90] &&
     130                ![variant_isset postgresql91] } {
     131                return -code error "Please also select a postgresql variant"
    122132        }
    123133}
Note: See TracChangeset for help on using the changeset viewer.